#!/bin/sh

lAudioTip=$1

script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`
echo $script_path

DoubleLightCamera=`cat $script_path/doubleLight.ini | ./busybox grep "doubleLightCamera:" | ./busybox grep -v grep | sed 's/doubleLightCamera://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`

if [ $? != 0 ]; then
	echo "cann't found doubleLight ini config file"
	exit -1
fi

if [ "$DoubleLightCamera" = "yes" ];then
	mkdir -p /mnt/mtd/Flags/
	touch /mnt/mtd/Flags/initDoubleLightCamera
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/doubleLightMode.pcm
	fi
fi

if [ "$DoubleLightCamera" = "no" ];then
	rm -rf /mnt/mtd/Flags/DoubleLightCameraFlag
	rm -rf /mnt/mtd/Flags/initDoubleLightCamera
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/singleLightMode.pcm
	fi
fi
